from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XMimeContentType(XInterface, Protocol):
    def getMediaType(self) -> str: ...
    def getMediaSubtype(self) -> str: ...
    def getFullMediaType(self) -> str: ...
    def getParameters(self) -> list[str]: ...
    def hasParameter(self, aName: str) -> bool: ...
